package com.malk.aiwei.service;

import java.util.List;
import java.util.Map;

public interface AWYDClient {


    /**
     * 提供verifier数据读取服务
     */
    Map syncVerifier(String projectCode, String productCode, String productVersion);

    /**
     * 提供verifier数据回传服务
     */
    void backVerifier(Map data);

    /**
     * 项目需求导入校验
     */
    Map checkImportData_projectRequirements(String charter, List<Map> dataList, boolean isSubmit);

    /**
     * 项目需求审批通过后, 回写需求编号与关联表单, ppExt 并覆盖项目需求档案需求列表
     */
    void dealApprovedData_projectRequirements(String pCode, String instanceId, Map data);

    /**
     * tmp 覆盖项目需求档案需求列表, 兼容 dealApprovedData_projectRequirements
     */
    void archiveProjectRequirements(String pCode, String instanceId);

    /**
     * 项目规格导入校验
     */
    Map checkImportData_projectSpecification(String charter, List<Map> dataList, List<String> prList, boolean isSubmit);

    /**
     * 项目规格审批通过后, 回写规格编号与关联表单
     */
    void dealApprovedData_projectSpecification(String instanceId, Map data);

    /**
     * 测试规格导入校验
     */
    Map checkImportData_testSpecification(String charter, List<Map> dataList, List<String> prList, boolean isSubmit);

    /**
     * 测试规格审批通过后, 回写规格编号与关联表单
     */
    void dealApprovedData_testSpecification(String instanceId, Map data);

    
    void test();

    // 0906 项目需求导入逻辑变更, 弃用保留
    Map checkImportData(Map data);
}
